Subject: RE: Compromise on Expires header in Message (was Re: [Sip] RE: [S imple] -05 MESSAGE and Expires header)

From: Adam Roach <[email-masked]>
Date: Wed, 24 Jul 2002 17:58:30 -0500

I agree with Ben's approach.

/a

> -----Original Message-----
> From: Ben Campbell [mailto:[email-masked]]
> Sent: Wednesday, July 24, 2002 17:55
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Compromise on Expires header in Message (was Re: [Sip] RE:
> [Simple] -05 MESSAGE and Expires header)
> 
> 
> I suggest as a compromise, we simply strike any reference to 
> a special 
> case for Expires:0 from the draft. It really belongs in a 
> specification 
> for store-and-forward relays, and is probably not in scope for the 
> MESSAGE specification.
> 
> If anyone cares to write a draft for store and forward 
> relays, I will be 
> happy to argue the point then.
> 
> The draft has already completed last call, but this seems to 
> be a valid 
> piece of last call feedback. In the interest of getting an update out 
> prior to IESG review, I am submitting this change in an 06 
> version now.
> 
> 
> 
> [email-masked] wrote:
> > We don't want the expires-header to be used as a source for 
> routing decisions. We also don't want to special case "expires: 0".
> > 
> > Why should routing depend on the value on the expires header?
> > 
> > I quote Jonathan
> > "The general notion is that it indicates a lifetime of 
> > something; a point after which the thing is no longer valid."
> > 
> > You to have some general meaning of expires, otherwise I 
> can say expires of 0 for a new method FOO means "don't FOO me 
> back" or "explode your phone". If the general notion is what 
> Jonathan said above (and what Adam said below), then Expires: 
> 0 in a MESSAGE means that the MESSAGE expiration occurs in 
> zero seconds. It doesn't mean immediate delivery.
> > 
> > I think the best thing to do is to remove the text. Other 
> methods don't define the meaning of "Expires: 0".
> > 
> > Regards,
> > Hisham
> > 
> > 
> >>-----Original Message-----
> >>From: ext Adam Roach [mailto:[email-masked]]
> >>Sent: Wednesday, July 24, 2002 4:09 AM
> >>To: 'Bobby Sardana'; Adam Roach
> >>Cc: Jonathan Rosenberg; Ben Campbell; Khartabil Hisham 
> (NMP/Helsinki);
> >>[email-masked]; [email-masked];
> >>[email-masked]
> >>Subject: RE: [Simple] -05 MESSAGE and Expires header
> >>
> >>
> >>
> >>>-----Original Message-----
> >>>From: Bobby Sardana [mailto:[email-masked]]
> >>>
> >>>The proposal is simple: (not sure from a complete 
> >>>applicability point of
> >>>view, but here it is)
> >>>
> >>>a. Expire signifies a unit of time
> >>
> >>Agreed.
> >>
> >>
> >>>b. For methods that have the Expire header, the unit of time 
> >>>determines
> >>>the method validitity.
> >>
> >>There's a problem with that approach. For SUBSCRIBE and REGISTER,
> >>the "Expires" header doesn't indicate the period of validity of
> >>the request (which is presumably what you mean by "method 
> validity");
> >>it indicates the period of validity for what is *created* by the
> >>request. The analog for INVITE would be "Session-Expires".
> >>
> >>
> >>>The only exception here is 0, which can mean
> >>>"expired" or "infinite".
> >>
> >>There are actually three problems here. 
> >>
> >>1. Historically, "0" has never been treated 
> >>   as a special case in SIP expirations. (More
> >>   on this below).
> >>
> >>2. "Expires: 0" does not mean "expired" (that
> >>   would, in theory, be represented by a negative
> >>   number -- but we don't do that); it means that
> >>   expiration occurs in zero seconds (i.e.
> >>   instantaneously). For the purposes of instant
> >>   messages, that's exactly what we want to convey:
> >>   "this mesage expires instantaneously -- so, send
> >>   it on or consider it stale" (where handling of
> >>   stale messages is a matter of local policy).
> >>
> >>3. Zero has *never* meant infinity in a SIP
> >>   "Expires" context. The convention for "infinity"
> >>   is to use 4294967295 (2^32-1), which ends up being
> >>   over 136 years -- long enough to mean "infinity" for
> >>   the purposes of a computer protocol.
> >>
> >>/a
> >>
> > 
> > 
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments on the application of sip
> > 
> 
> 
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip